Bug 733564 - Build libreoffice with system graphite2
Build libreoffice with system graphite2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 22:37 EDT by Nicholas van Oudtshoorn
Modified: 2011-09-09 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.4.3.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 11:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add obsoletes (726 bytes, patch)
2011-08-26 06:27 EDT, David Tardon
no flags Details | Diff

  None (edit)
Description Nicholas van Oudtshoorn 2011-08-25 22:37:33 EDT
Description of problem:

A while back, LibreOffice switched from using graphite to using the faster/better next generation graphite2. I have recently packaged this for fedora (currently in the testing repositories], and would appreciate it if libreoffice could be built to utilise it. [And perhaps the typography extension built as well :)]
Comment 1 Caolan McNamara 2011-08-26 04:26:29 EDT
caolanm->dtardon: first off, I guess we should now mark silgraphite as a dead.package as nothing is using that version1 anymore I think.

caolanm->vanoudt: the modifications to libreoffice to use graphite 1.0.2 http://cgit.freedesktop.org/libreoffice/libs-extern-sys/log/?h=libreoffice-3-4 aren't in <= 3.4.3 though they will be for later versions, so backporting required.

I'll give it a go in master first
Comment 2 Caolan McNamara 2011-08-26 04:35:41 EDT
might all just be noise for the internal case and trivial for the external one
Comment 3 Nicholas van Oudtshoorn 2011-08-26 04:49:31 EDT
vanoudt->all: just so you know: silgraphite-devel is still a build-time dependency for graphite2...

vanoudt->caolanm: ah! Hadn't clicked that. I forgot I had built libreoffice with graphite 0.9!
Comment 4 David Tardon 2011-08-26 04:56:58 EDT
dtardon->vanoudt: Is it really necessary to build comparerenderer? Note: if you
insist on doing it (and requiring silgraphite for it), you will have to step in
as maintainer of silgraphite too :)
Comment 5 Caolan McNamara 2011-08-26 05:56:20 EDT
ah, re "typography extension", where possible those extensions can live in their own .src.rpms as standalone packages.
Comment 6 Nicholas van Oudtshoorn 2011-08-26 06:07:37 EDT
vanoudt->dtardon: Nope, it's not necessary! Just spotted how to disable how to build it, and have pushed a new version of graphite2 without comparerenderer (and it's dependency on silgraphite) to testing 

vanoudt->caolan: Ah! :) Guess I should consider packaging it up when I get some time!
Comment 7 David Tardon 2011-08-26 06:27:02 EDT
Created attachment 520056 [details]
add obsoletes

dtardon->vanoudt: Ah, excellent! In that case we can indeed retire silgraphite and you should apply the attached patch, so silgraphite will be replaced by graphite2 on users' systems.
Comment 8 Nicholas van Oudtshoorn 2011-08-26 07:37:23 EDT
vanoudt->dtardon: Done and done and pushed out to testing
Comment 9 Caolan McNamara 2011-09-02 11:58:42 EDT
should be ok for >= 3.4.3.2-2
Comment 10 Fedora Update System 2011-09-07 06:01:48 EDT
libreoffice-3.4.3.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.3.2-6.fc16
Comment 11 Fedora Update System 2011-09-09 13:05:31 EDT
libreoffice-3.4.3.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.